> ## Documentation Index
> Fetch the complete documentation index at: https://docs.localpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener estado de la cuenta virtual

Este endpoint recupera el estado y los detalles de una cuenta virtual específica que hayas creado previamente mediante el endpoint [Crear una cuenta virtual](https://docs.localpayment.com/es/reference/create-virtual-account.md). Puedes usar este endpoint para comprobar si la cuenta está activa y lista para recibir pagos.


## OpenAPI

````yaml openapi/es/localpayment.json GET /api/virtual-account/{externalId}
openapi: 3.1.0
info:
  version: '1.0'
  title: Localpayment
  contact:
    name: Support
    url: mailto:support@localpayment.com
servers:
  - url: https://api.stage.localpayment.com
    description: Stage
security:
  - token: []
paths:
  /api/virtual-account/{externalId}:
    get:
      summary: Obtener estado de la cuenta virtual
      operationId: get-virtual-account-status
      parameters:
        - name: Authorization
          in: header
          description: >-
            Token de acceso Bearer para la autenticación. Este token se obtiene
            de los endpoints [Get Access Token](/es/reference/get-token) o
            [Refresh Access Token](/es/reference/refresh-token).
          required: true
          schema:
            type: string
        - name: externalId
          in: path
          description: >-
            El identificador único de la cuenta virtual que deseas administrar.
            Debe coincidir exactamente con el valor de externalId que
            proporcionaste al crear la cuenta. Utiliza este identificador para
            especificar la cuenta de destino para operaciones como consultar su
            estado o eliminarla.
          required: true
          schema:
            type: string
            pattern: '[a-zA-Z0-9\- ]+'
            examples:
              - 9c590364-b6b4-116b-cf09-d63e8681c8fc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  currency:
                    type: string
                    enum:
                      - ARS
                      - BRL
                      - CLP
                      - USD
                      - MXN
                      - PEN
                    description: '[Códigos de moneda](/es/reference/currency-codes).'
                  externalId:
                    type: string
                    description: >-
                      El identificador único de la cuenta virtual. Este es el
                      mismo externalId que proporcionaste en tu solicitud, lo
                      que confirma que los datos devueltos corresponden a la
                      cuenta correcta.
                  internalId:
                    type: string
                    description: Identificador de transacción de Localpayment.
                  accountNumber:
                    type: string
                    description: Número de cuenta de Localpayment.
                  beneficiary:
                    type: object
                    title: beneficiary
                    description: "La persona o entidad que recibirá los fondos depositados en esta cuenta virtual. El beneficiario es quien recibe el dinero en última instancia y no necesariamente es el propietario o titular legal de la cuenta virtual.\r\n"
                    properties:
                      type:
                        type: string
                        enum:
                          - COMPANY
                          - INDIVIDUAL
                        description: Tipo de beneficiario.
                      name:
                        type: string
                        description: Nombre del beneficiario.
                      lastName:
                        type: string
                        description: Apellido del beneficiario.
                      fullName:
                        type: string
                        description: Nombre completo del beneficiario.
                      document:
                        type: object
                        description: Documento de identidad del beneficiario.
                        properties:
                          type:
                            type: string
                            description: >-
                              El tipo de [documento de
                              identidad](/es/reference/identity-document-types),
                              como el Número de Identidad Nacional, el Número de
                              la Seguridad Social o el Permiso de Conducir,
                              según el país de expedición.
                            examples:
                              - RUC
                          id:
                            type: string
                            description: >-
                              Número de documento de identidad (generalmente un
                              número). Este debe ser un número válido según las
                              normas del tipo de documento específico.
                            examples:
                              - '1791234561009'
                        examples:
                          - type: RUC
                            id: '1791234561009'
                      address:
                        type: object
                        description: >-
                          Dirección del beneficiario. En las respuestas que
                          incluyen un objeto de comerciante, la dirección del
                          beneficiario se proporciona allí.
                        properties:
                          street:
                            type: string
                            description: Nombre de la calle.
                          number:
                            type: string
                            description: "Número de calle.\r\n"
                          city:
                            type: string
                            description: Ciudad.
                          state:
                            type: string
                            description: Estado
                          country:
                            type: string
                            description: País de la dirección.
                          zipCode:
                            type: string
                            description: Código postal.
                          comment:
                            type: string
                            description: Información adicional sobre la dirección.
                      bank:
                        type: object
                        properties:
                          branch:
                            type: object
                            description: Detalles de la sucursal bancaria.
                            properties:
                              code:
                                type: string
                                description: Código de sucursal.
                              name:
                                type: string
                                description: Nombre de la sucursal
                          account:
                            type: object
                            description: Datos de la cuenta bancaria del beneficiario.
                            properties:
                              number:
                                type: string
                                description: Número de cuenta.
                              aliases:
                                type: array
                                description: >-
                                  Conjunto de alias de la cuenta (por ejemplo,
                                  identificadores únicos de la cuenta). Solo
                                  para **Brasil**.
                                items:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      description: >-
                                        El tipo de alias (p. ej.,
                                        `RandomKeyCode`).
                                    value:
                                      type: string
                                      description: Valor del alias.
                      merchant:
                        type: object
                        description: >-
                          El objeto de comerciante en la respuesta de la API
                          contiene los datos de tu empresa, a los que nuestro
                          sistema hace referencia internamente. Esto garantiza
                          que, aunque seamos el titular legal de la cuenta a
                          efectos de cumplimiento normativo, todas las
                          transacciones y la cuenta en sí se atribuyan
                          correctamente a tu empresa para la elaboración de
                          informes y la conciliación.
                        properties:
                          type:
                            type: string
                            enum:
                              - INDIVIDUAL
                              - COMPANY
                            description: Tipo de comerciante.
                          name:
                            type: string
                            description: Nombre del comerciante.
                          lastName:
                            type: string
                            description: Apellido del comerciante.
                          fullName:
                            type: string
                            description: Nombre completo del comerciante.
                          document:
                            type: object
                            description: Documento de identidad del comerciante.
                            properties:
                              type:
                                type: string
                                description: >-
                                  El tipo de [documento de
                                  identidad](/es/reference/identity-document-types),
                                  como el Número de Identidad Nacional, el
                                  Número de la Seguridad Social o el Permiso de
                                  Conducir, según el país de expedición.
                              id:
                                type: string
                                description: >-
                                  Número de documento de identidad (generalmente
                                  un número). Este debe ser un número válido
                                  según las normas del tipo de documento
                                  específico.
                          address:
                            type: object
                            description: Dirección del beneficiario.
                            properties:
                              street:
                                type: string
                                description: Nombre de la calle.
                              number:
                                type: string
                                description: |
                                  Número de calle.
                              city:
                                type: string
                                description: Ciudad.
                              state:
                                type: string
                                description: Estado
                              country:
                                type: string
                                description: País de la dirección.
                              zipCode:
                                type: string
                                description: Código postal.
                              comment:
                                type: string
                                description: Información adicional sobre la dirección.
                          website:
                            type: string
                            description: Sitio web del beneficiario.
                      website:
                        type: string
                        description: >-
                          Sitio web del beneficiario. En las respuestas que
                          incluyen un objeto de comerciante, se proporciona el
                          sitio web del beneficiario.
                    examples:
                      - type: COMPANY
                        name: string
                        document:
                          type: RUC
                          id: '1791234561009'
                        lastName: string
                        fullName: string
                        bank:
                          branch: {}
                          account:
                            number: string
                            aliases:
                              - type: string
                                value: string
                            owner:
                              document: {}
                  status:
                    type: object
                    title: status
                    description: Estado de la operación.
                    properties:
                      code:
                        type: string
                        description: >-
                          [Código de
                          estado](/es/reference/transaction-status-error-codes).
                        examples:
                          - '200'
                      description:
                        type: string
                        description: >-
                          [Descripción del
                          estado](/es/reference/transaction-status-error-codes).
                        examples:
                          - COMPLETED
                      detail:
                        type: string
                        description: Información de estado adicional.
                        examples:
                          - Virtual account has been created
                  errors:
                    type: array
                    description: >-
                      Conjunto de errores que se produjeron durante la
                      transacción. Si la transacción fue exitosa, este conjunto
                      estará vacío.
                    items:
                      type: object
                  disabled:
                    type: boolean
                    description: >-
                      Especifica si la cuenta virtual está habilitada o
                      deshabilitada.
                x-examples:
                  Example 1:
                    currency: MXN
                    externalId: 9c592264-a6b4-416b-9f09-d61e8681c8fc
                    internalId: dbd8d9cb-6d4a-49a5-b709-e6926bbf0b29
                    accountNumber: '{{accountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: FirtName
                      document:
                        type: RFC
                        id: EXTF900101NI1
                      fullName: FirtName LastName
                      lastName: LastName
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
              examples:
                100-INPROGRESS:
                  value:
                    currency: MXN
                    externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                    internalId: 9a8db65f-be31-42fb-8ebd-5fffd83bd6c6
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      fullName: Zhang Wei
                      lastName: Wei
                      document:
                        type: RFC
                        id: PECJ800101ABC
                      address:
                        street: Calle 34
                        number: '123'
                        city: Guadalajara
                        state: Jalisco
                        country: Mexico
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                200-ARG-COMPLETED-LOCAL COMPANY:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      document:
                        type: CUIT
                        id: 30-71234567-9
                      bank:
                        code: '130'
                        branch:
                          code: '3313'
                        account:
                          number: '1303313111111111111111'
                      address:
                        street: Av. Corrientes
                        number: '1234'
                        city: Buenos Aires
                        state: CABA
                        country: Argentina
                      website: https://yongxin.technology.com
                    status:
                      code: '200'
                      description: COMPLETED
                      detail: Virtual account has been created
                    errors: []
                    disabled: false
                200-ARG-COMPLETED-FOREIGN COMPANY:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LOCALPAYMENT S.R.L.
                      fullName: LOCALPAYMENT S.R.L
                      document:
                        type: CUIT
                        id: 30-71234562-8
                      bank:
                        code: '130'
                        branch:
                          code: '3313'
                        account:
                          number: '1303313111111111111111'
                      merchant:
                        type: COMPANY
                        name: ACME INTERNATIONAL LTD
                        fullName: ACME INTERNATIONAL LTD
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '200'
                      description: COMPLETED
                      detail: Virtual account has been created
                    errors: []
                    disabled: false
                200-ARG-COMPLETED-FOREIGN INDIVIDUAL:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LOCALPAYMENT S.R.L.
                      fullName: LOCALPAYMENT S.R.L
                      document:
                        type: CUIT
                        id: 30-71234562-8
                      bank:
                        code: '130'
                        branch:
                          code: '3313'
                        account:
                          number: '1303313111111111111111'
                      merchant:
                        type: INDIVIDUAL
                        name: Zhang
                        lastName: Wei
                        fullName: Zhang Wei
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '200'
                      description: COMPLETED
                      detail: Virtual account has been created
                    errors: []
                    disabled: false
                200-BRA-COMPLETED-COMPANY:
                  value:
                    currency: BRL
                    externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                    internalId: 29d34118-4574-4928-a4c1-9d8a1a14271e
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      fullName: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      document:
                        type: CNPJ
                        id: '34669130000133'
                      bank:
                        code: '450'
                        name: Fitbank
                        branch:
                          code: '0001'
                        account:
                          type: s
                          number: '107367941234'
                          alias:
                            - type: RandomKeyCode
                              value: 92c11197-565b-4a2d-8a3a-7c97bc68c7c1
                        merchant:
                          type: COMPANY
                          name: ACME INTERNATIONAL LTD
                          fullName: ACME INTERNATIONAL LTD
                          document:
                            type: TAX ID
                            id: '20342231111'
                          address:
                            street: Calle 34
                            number: '123'
                            city: Rio de Janeiro
                            state: Rio de Janeiro
                            country: Brazil
                          website: https://yongxin.technology.com
                      status:
                        code: '200'
                        description: COMPLETED
                        detail: Virtual account has been Completed
                      errors: []
                      disabled: false
                200-BRA-COMPLETED-INDIVIDUAL:
                  value:
                    currency: BRL
                    externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                    internalId: 29d34118-4574-4928-a4c1-9d8a1a14271e
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      fullName: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      document:
                        type: CNPJ
                        id: '34669130000133'
                      bank:
                        code: '450'
                        name: Fitbank
                        branch:
                          code: '0001'
                        account:
                          type: s
                          number: '107367941234'
                          alias:
                            - type: RandomKeyCode
                              value: 92c11197-565b-4a2d-8a3a-7c97bc68c7c1
                        merchant:
                          type: INDIVIDUAL
                          name: Zhang
                          lastName: Wei
                          fullName: Zhang Wei
                          document:
                            type: TAX ID
                            id: '20342231111'
                          address:
                            street: Calle 34
                            number: '123'
                            city: Rio de Janeiro
                            state: Rio de Janeiro
                            country: Brazil
                          website: https://yongxin.technology.com
                      status:
                        code: '200'
                        description: COMPLETED
                        detail: Virtual account has been Completed
                      errors: []
                      disabled: false
                200-MXN-COMPLETED-INDIVIDUAL:
                  value:
                    currency: MXN
                    externalId: 9c590364-b6b4-116b-cf09-d63e8681c8fc
                    internalId: dbd8d5cb-6d4a-4a15-b7c9-b6526bbf0b29
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      lastName: Wei
                      fullName: Zhang Wei
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle 34
                        number: '123'
                        city: Guadalajara
                        state: Jalisco
                        country: Mexico
                      bank:
                        branch:
                          code: '458'
                        account:
                          number: '646011319800023123'
                      website: https://yongxin.technology.com
                    status:
                      code: '200'
                      description: COMPLETED
                      detail: Virtual account has been created
                    errors: []
                    disabled: false
                200-PER-COMPLETED-INDIVIDUAL:
                  value:
                    currency: PEN
                    externalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    internalId: f1f16e3e-fb1f-4452-9662-1319dedbac0c
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      lastName: Wei
                      fullName: Zhang Wei
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle 34
                        number: '123'
                        city: Quito
                        state: Suarez
                        country: Peru
                      bank:
                        account:
                          number: '92211111111111111111'
                      website: https://yongxin.technology.com
                    status:
                      code: '200'
                      description: COMPLETED
                      detail: COMPLETED
                    errors: []
                    disabled: false
                908-DELETED:
                  value:
                    currency: MXN
                    externalId: a79aabec-16c6-4a84-8abe-be2dcd2e07a1
                    internalId: d710312c-8c3f-4b65-8e62-7f83eeba321a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: John
                      document:
                        type: RFC
                        id: EXTF900101NI1
                      bank:
                        branch: {}
                        account:
                          number: '646011319800023123'
                          aliases: []
                          owner:
                            document: {}
                      fullName: John Doe
                      lastName: Doe
                    status:
                      code: '908'
                      description: DELETED
                      detail: Virtual account has been deleted
                    errors: []
                300-DISABLED:
                  value:
                    currency: MXN
                    externalId: e36eff59-22d4-ccf0-bf0c-99dc51798f4b
                    internalId: c09095fb-6a4e-17cf-9343-9d9452b0f290
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: John
                      document:
                        type: RFC
                        id: EXTF900101NI1
                      bank:
                        branch: {}
                        account:
                          number: '646011319800023123'
                          aliases: []
                          owner:
                            document: {}
                      fullName: John Doe
                      lastName: Doe
                    status:
                      code: '300'
                      description: DISABLED
                      detail: Virtual account disabled
                    errors: []
                200-COL-COMPLETED-FOREIGN COMPANY:
                  value:
                    currency: COP
                    externalId: cf194632-7ec4-4a44-9b92-9bbacad5349e
                    internalId: b406472d-e5df-4ca3-8829-3e3df0948b3d
                    accountNumber: '{{accountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LOCALPAYMENT
                      lastName: COLOMBIA SAS.
                      fullName: LOCALPAYMENT COLOMBIA SAS.
                      document:
                        type: NIT
                        id: '9012812345'
                      bank:
                        branch: {}
                        account:
                          type: KEY
                          number: '@LPZHANG1234'
                      address:
                        street: cra 49
                        number: '108'
                        city: MEDELLIN
                        state: Antioquia
                        country: Colombia
                    merchant:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      lastName: ''
                      fullName: ACME INTERNATIONAL LTD
                      document:
                        type: NIT
                        id: '1111111111'
                      address:
                        street: Calle 34
                        number: '34'
                        city: MEDELLIN
                        state: Antioquia
                        country: Colombia
                    status:
                      code: '200'
                      description: COMPLETED
                      detail: Virtual account has been created
                    errors: []
                    disabled: false
                200-CHL-COMPLETED-INDIVIDUAL:
                  value:
                    currency: CLP
                    externalId: c4894e1a-b1a1-49fc-acb8-b48d30f19208
                    internalId: dcf62e96-b753-41b1-8064-6254c7e0abc1
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      lastName: Wei
                      fullName: Zhang Wei
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle Merced
                        number: '812'
                        city: Santiago
                        state: Region Metropolitana
                        country: Chile
                      bank:
                        account:
                          number: '901000000256'
                      website: https://yongxin.technology.com
                    status:
                      code: '200'
                      description: COMPLETED
                      detail: COMPLETED
                    errors: []
                    disabled: false
                200-CHL-COMPLETED-COMPANY:
                  value:
                    currency: CLP
                    externalId: b367854e-3331-4ed4-ae8c-01f653809a27
                    internalId: 921792b6-5aac-4e41-a79b-ab080ad7f649
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      document:
                        id: '20342231111'
                        type: TAX ID
                      bank:
                        account:
                          number: '901000000257'
                      address:
                        street: Calle Merced
                        number: '812'
                        city: Santiago
                        state: Region Metropolitana
                        country: Chile
                      website: https://yongxin.technology.com
                    status:
                      code: '200'
                      description: COMPLETED
                      detail: COMPLETED
                    errors: []
                    disabled: false
        '401':
          description: No autorizado.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Información adicional sobre la respuesta.
                  code:
                    type: string
                    description: Código de estado.
                  messages:
                    type: array
                    description: Lista de mensajes.
                    items:
                      type: object
                      properties:
                        token_class:
                          type: string
                          description: Clase de token.
                        token_type:
                          type: string
                          description: Tipo de token.
                        message:
                          type: string
                          description: Mensaje con información adicional.
                x-examples:
                  Example 1:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
              examples:
                401 - Token is invalid or expired:
                  value:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
        '404':
          description: No encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  timestamp:
                    type: string
                    description: Tiempo de ejecución del servicio.
                  status:
                    type: integer
                    description: Código de estado del error.
                  error:
                    type: string
                    description: Descripción del error.
                  message:
                    type: string
                    description: Mensaje con información adicional.
                  path:
                    type: string
                    description: Ruta del servicio.
                x-examples:
                  Example 1:
                    timestamp: '2025-01-06T23:03:33.168+00:00'
                    status: 404
                    error: Not Found
                    message: >-
                      Virtual account not found with externalId:
                      dc21d8be-f8cc-4bb3-ac4a-8875f48a0f041
                    path: /virtual-account/dc21d8be-f8cc-4bb3-ac4a-8875f48a0f041
              examples:
                404 -Virtual account not found.:
                  value:
                    timestamp: '2025-01-06T23:03:33.168+00:00'
                    status: 404
                    error: Not Found
                    message: >-
                      Virtual account not found with externalId:
                      dc21d8be-f8cc-4bb3-ac4a-8875f48a0f041
                    path: /virtual-account/dc21d8be-f8cc-4bb3-ac4a-8875f48a0f041
      security:
        - token: []
      servers:
        - url: https://api.stage.localpayment.com
          description: Stage
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.